# Class CommandCode

java.lang.Object
edu.byu.hbll.symphonytransactionparser.CommandCode

public abstract class CommandCode extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CHARGE_ITEM`
`static final String`
`CHARGE_RESERVE_ITEM`
`static final String`
`CREATE_HOLD`
`static final String`
`CREATE_RESERVE_ITEM`
`static final String`
`DISCHARGE_ITEM`
`static final String`
`EDIT_CIRC`
`static final String`
`EDIT_HOLD`
`static final String`
`EDIT_ITEM`
`static final String`
`FIND_HOLD`
`static final String`
`REMOVE_HOLD`
`static final String`
`RENEW_ITEM`
`static final String`
`RENEW_RESERVE_ITEM`
`static final String`
`USE_ITEM`

## Constructor Summary

Constructors
Constructor
Description
`CommandCode()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EDIT_ITEM

public static final String EDIT_ITEM

See Also:
  - Constant Field Values

### CHARGE_ITEM

public static final String CHARGE_ITEM

See Also:
  - Constant Field Values

### CHARGE_RESERVE_ITEM

public static final String CHARGE_RESERVE_ITEM

See Also:
  - Constant Field Values

### DISCHARGE_ITEM

public static final String DISCHARGE_ITEM

See Also:
  - Constant Field Values

### RENEW_ITEM

public static final String RENEW_ITEM

See Also:
  - Constant Field Values

### RENEW_RESERVE_ITEM

public static final String RENEW_RESERVE_ITEM

See Also:
  - Constant Field Values

### USE_ITEM

public static final String USE_ITEM

See Also:
  - Constant Field Values

### CREATE_HOLD

public static final String CREATE_HOLD

See Also:
  - Constant Field Values

### REMOVE_HOLD

public static final String REMOVE_HOLD

See Also:
  - Constant Field Values

### EDIT_HOLD

public static final String EDIT_HOLD

See Also:
  - Constant Field Values

### FIND_HOLD

public static final String FIND_HOLD

See Also:
  - Constant Field Values

### EDIT_CIRC

public static final String EDIT_CIRC

See Also:
  - Constant Field Values

### CREATE_RESERVE_ITEM

public static final String CREATE_RESERVE_ITEM

See Also:
  - Constant Field Values

## Constructor Details

### CommandCode

public CommandCode()